oracle.pg.common

## Class OracleWrapperElement

- java.lang.Object
- - oracle.pg.common.OracleWrapperElement

- All Implemented Interfaces:
    Element
  Direct Known Subclasses:
    OracleWrapperEdge, OracleWrapperVertex

      public abstract class OracleWrapperElement
      extends Object
      implements Element

  This class implements the Blueprints Element interface by using an Oracle backend.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OracleWrapperElement()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `countPropertyKeys()`
    `Long` | `getId()` An identifier that is unique to its inheriting class.
    `Object` | `getProperty(String key)` Return the object value associated with the provided string key.
    `Set<String>` | `getPropertyKeys()` Return all the keys associated with the element.
    `boolean` | `isPartial()` Returns TRUE if this object is partially constructured.
    `Object` | `removeProperty(String key)` Un-assigns a key/value property from the element.
    `void` | `setProperty(String key, Object value)` Assign a key/value property to the element.
    `void` | `setProperty(String key, Object value, boolean skipQueue)` Assign a key/value property to the element.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `remove`

- - ### Constructor Detail

    - #### OracleWrapperElement

          public OracleWrapperElement()

  - ### Method Detail

    - #### countPropertyKeys

          public int countPropertyKeys()

    - #### getId

          public Long getId()

      An identifier that is unique to its inheriting class.
      Specified by:
        `getId` in interface `Element`

    - #### getProperty

          public Object getProperty(String key)

      Return the object value associated with the provided string key.
      Specified by:
        `getProperty` in interface `Element`

    - #### getPropertyKeys

          public Set<String> getPropertyKeys()

      Return all the keys associated with the element.
      Specified by:
        `getPropertyKeys` in interface `Element`

    - #### isPartial

          public boolean isPartial()

      Returns TRUE if this object is partially constructured. For example, a vertex with just an ID but not the K/V pairs. Or an edge with just an ID but not the in/out vertices or edge label.

    - #### removeProperty

          public Object removeProperty(String key)

      Un-assigns a key/value property from the element.
      Specified by:
        `removeProperty` in interface `Element`

    - #### setProperty

          public void setProperty(String key,
                         Object value)

      Assign a key/value property to the element.
      Specified by:
        `setProperty` in interface `Element`

    - #### setProperty

          public void setProperty(String key,
                         Object value,
                         boolean skipQueue)

      Assign a key/value property to the element.

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.